//this file allows to re-configure default functions of MIOS32
//available switches are listed in $MIOS32_PATH/modules/mios32/MIOS32_CONFIG.txt

#ifndef _MIOS32_CONFIG_H
#define _MIOS32_CONFIG_H

#define MIOS32_USE_MIDI
#define MIOS32_USE_UART
#define MIOS32_USE_UART_MIDI
#define MIOS32_UART_NUM 2
#define MIOS32_UART0_ASSIGNMENT 1 //1=Midi, 0= Disabled, 2= COM
#define MIOS32_UART1_ASSIGNMENT 1
//#define MIOS32_UART2_ASSIGNMENT 1
//#define MIOS32_UART3_ASSIGNMENT 1

// LCD-Boot-Message
#define MIOS32_LCD_BOOT_MSG_LINE1 "Melodie Speicher"
#define MIOS32_LCD_BOOT_MSG_LINE2 "GreatFullTekk 2017"

// AIN Activate J5A
//#define MIOS32_AIN_CHANNEL_MASK 0x000f

// AIN define the deadband (min. difference to report a change to the application hook)
//#define MIOS32_AIN_DEADBAND 31 //7Bit
#endif /* _MIOS32_CONFIG_H */

